POST /data/scenes/{scene_id}/shots

Link a shot to a scene as its source.

Path parameters

  • scene_id Required
application/json

Body Required

  • shot_id string(uuid) Required

Responses

  • 201 application/json

    Scene marked as source of shot

    Hide response attributes Show response attributes object
    • scene_id string(uuid)
    • shot_id string(uuid)
POST /data/scenes/{scene_id}/shots
curl -X POST "http://api.example.com/data/scenes/a24a6ea4-ce75-4665-a070-57453082c25/shots" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "shot_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}'
import requests

url = "http://api.example.com/data/scenes/a24a6ea4-ce75-4665-a070-57453082c25/shots"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "shot_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/data/scenes/a24a6ea4-ce75-4665-a070-57453082c25/shots' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"shot_id":"a24a6ea4-ce75-4665-a070-57453082c25"}'
Request examples
{
  "shot_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}
Response examples (201)
{
  "scene_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "shot_id": "b24a6ea4-ce75-4665-a070-57453082c25"
}